Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.svg
Class ACIUtils

    java.lang.Object
      org.apache.fop.svg.ACIUtils

    public final class ACIUtils

extends java.lang.Object

Utilities for java.text.AttributedCharacterIterator.

Method Summary
`static void` | `dumpAttrs(java.text.AttributedCharacterIterator aci)` Dumps the contents of an ACI to System.out.
`static Font[]` | `findFontsForBatikACI(java.text.AttributedCharacterIterator aci, FontInfo fontInfo)` Tries to find matching fonts in FOP's `FontInfo` instance for fonts used by Apache Batik.
`static int` | `toCSSWeight(java.lang.Float weight)`
`static java.lang.String` | `toStyle(java.lang.Float posture)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### findFontsForBatikACI

    public static Font[] findFontsForBatikACI(java.text.AttributedCharacterIterator aci,
                                              FontInfo fontInfo)

  Tries to find matching fonts in FOP's `FontInfo` instance for fonts used by Apache Batik. The method inspects the various GVT attributes found in the ACI.

  Parameters:
    `aci` - the ACI to find matching fonts for
    `fontInfo` - the font info instance with FOP's fonts
  Returns:
    an array of matching fonts

### toCSSWeight

    public static int toCSSWeight(java.lang.Float weight)

### toStyle

    public static java.lang.String toStyle(java.lang.Float posture)

### dumpAttrs

    public static void dumpAttrs(java.text.AttributedCharacterIterator aci)

  Dumps the contents of an ACI to System.out. Used for debugging only.

  Parameters:
    `aci` - the ACI to dump

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.